Bug 5986 - Не выводятся греч. символы в qt
: Не выводятся греч. символы в qt
Status: CLOSED WORKSFORME
: Sisyphus
(All bugs in Sisyphus/lyx)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-28 14:55 by
Modified: 2008-01-08 06:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-28 14:55:16
При работе с интерфейсом qt не выводятся греческие символы в формулах.
------- Comment #1 From 2005-02-05 17:07:39 -------
говорят, это связано с какой-то проблемой в qt 
------- Comment #2 From 2005-11-08 02:20:15 -------
(From debian package) 
As stated in /usr/share/doc/latex-xft-fonts/README, there is problem using 
these fonts with Russian and some other locales. 
 
However, this problem may be workarounded by starting applications with 
LC_TIME component of locale reset to C, e.g. 
 
> LC_TIME=C lyx-qt 
 
With this workaround, at last lyx-qt's math mode becomes usable with Russian 
locales. 
 
(Thanks to Nikita V. Youshchenko for this note) 
 
------- Comment #3 From 2006-05-02 06:02:47 -------
Текущий сизиф. Lyx-1.3.7.  В lyx-xforms  формулы выглядят совсем коряво если 
они содержат интегралы и греческие символы. Это по-видимому как-то связано с 
сообщениями в консоли:
Could not get font '-misc-cmmi10-medium-r-normal--16-0-0-0-p-0-ascii-0'. 
Using 'fixed'.
Could not get font '-misc-cmr10-medium-r-normal--16-0-0-0-p-0-ascii-0'. 
Using 'fixed'.
Could not get font '-misc-cmsy10-medium-r-normal--16-0-0-0-p-0-ascii-0'. 
Using 'fixed'.
Could not get font '-misc-cmmi10-medium-r-normal--11-0-0-0-p-0-ascii-0'. 
Using 'fixed'.
....


Кроме того при работе с английским текстом в lyx-qt даже при запуске с `LANG=C 
lyx` снова присутствует баг связанный с греческими символами. Его можно 
побороть заменив в файле lyx/languages koi8 на что-нибудь другое ;-). Однако,  
в этом случае кириллица превратится в крякозябры. У меня есть подозрение, что 
это как-то  связано с версией xorg. Дома стоит compact частично обновленный 
сизифом, версия xorg6.8 , lyx-1.3.7-alt1.  Вышеназванные проблемы 
отсутсутсвуют!      
------- Comment #4 From 2007-12-17 14:59:44 -------
в 1.5.3 не воспроизводится.
------- Comment #5 From 2008-01-08 06:32:08 -------
Значит работает.